<template>
  <v-app>
    <v-app-bar
      app
      color="primary"
      dark
    >
      <div class="d-flex align-center justify-start">
        <v-img
          alt="Logo Pelita"
          contain
          src="../assets/images/logo_pelita_1.png"
          transition="scale-transition"
          height="60"
        />
        <span class="font-weight-bold text-md-h5 text-xs-subtitle-1 black--text">Pelayanan Inspiratif Terpercaya</span>
      </div>

      <v-spacer />

      
      <v-btn
        v-show="$vuetify.breakpoint.smAndDown"
        dark
        icon
        to="/about"
        class="mr-12"
      >
        <v-icon>mdi-information</v-icon></v-btn
      >

      
      <v-btn
        v-show="$vuetify.breakpoint.mdAndUp"
        dark
        text
        to="/about"
        class="mr-12"
      >
        <v-icon left>mdi-information</v-icon>Tentang Pelita</v-btn
      >
      
    </v-app-bar>

    <v-main>
      <slot />
    </v-main>
  </v-app>
</template>

<script>

export default {
  name: 'default',
  data: () => ({
    //
  }),
  methods: {
    about() {
      this.$router.replace("/about");
    },
    
  },
};
</script>
